export class Queries {
  static serversListQuery = `
    query ServerInfo($filter: ServerFilter, $page: Page, $sort: Sort) {
      serverCount
      servers(filter: $filter, page: $page, sort: $sort) {
        id
        name
        iconURL
        userCount
      }
    }
  `;

  static serversQuery = `
    query ServerInfo($filter: ServerFilter, $page: Page, $sort: Sort) {
      servers(filter: $filter, page: $page, sort: $sort) {
        id
        name
        iconURL
        userCount
      }
    }
  `;

  static levelQuery = `
    query LevelsList($filter: LevelFilter, $page: Page, $sort: Sort) {
      levelCount
      levels(filter: $filter, page: $page, sort: $sort) {
        id
        name
        color
        minXp
        permissions
        server {
          id
          name
        }
      }
    }
  `;

  static usersQuery = `
    query UsersList($filter: UserFilter, $page: Page, $sort: Sort) {
      userCount
      users(filter: $filter, page: $page, sort: $sort) {
        id
        discordId
        name
        xp
        ontime
        level {
          id
          name
        }
        server {
          id
          name
        }
        leftServer

        joinedServerCount
        joinedServers {
          id
        }

        joinedVoiceChannelCount
        joinedVoiceChannels {
          id
          channelId
          channelName
        }

        userJoinedGameServerCount
        userJoinedGameServers {
          id
          gameServer
        }

        createdAt
        modifiedAt
      }
    }
  `;

  static singleUserQuery = `
    query singleUserQuery($filter: UserFilter) {
      users(filter: $filter) {
        id
        discordId
        name
        xp
        ontime
        minecraftId
        level {
          id
          name
        }
        leftServer
        server {
          id
          name
        }

        joinedServerCount
        joinedServers {
          id
          joinedOn
          leavedOn
        }

        joinedVoiceChannelCount
        joinedVoiceChannels {
          id
          channelId
          channelName
          time
          joinedOn
          leavedOn
        }

        userJoinedGameServerCount
        userJoinedGameServers {
          id
          gameServer
          joinedOn
          leavedOn
        }

        createdAt
        modifiedAt
      }
    }
  `;
}
